Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id
Interface PostInsertIdentityPersister

All Superinterfaces:
  EntityPersister, OptimisticCacheSource

All Known Implementing Classes:
  AbstractEntityPersister, JoinedSubclassEntityPersister, SingleTableEntityPersister, UnionSubclassEntityPersister

    public interface PostInsertIdentityPersister

extends EntityPersister

A persister that may have an identity assigned by execution of a SQL `INSERT`.

Author:
  Gavin King

Field Summary

Fields inherited from interface org.hibernate.persister.entity.EntityPersister
`ENTITY_ID`

Method Summary
`String` | `getIdentitySelectString()` Get the database-specific SQL command to retrieve the last generated IDENTITY value.
`String[]` | `getRootTableKeyColumnNames()` The names of the primary key columns in the root table.
`String` | `getSelectByUniqueKeyString(String propertyName)` Get a SQL select string that performs a select based on a unique key determined by the given property name).

Methods inherited from interface org.hibernate.persister.entity.EntityPersister
`afterInitialize, afterReassociate, canExtractIdOutOfEntity, createProxy, delete, findDirty, findModified, forceVersionIncrement, getCache, getCacheEntryStructure, getClassMetadata, getConcreteProxyClass, getCurrentVersion, getDatabaseSnapshot, getEntityMetamodel, getEntityName, getFactory, getIdentifier, getIdentifierGenerator, getIdentifierPropertyName, getIdentifierType, getMappedClass, getNaturalIdentifierProperties, getNaturalIdentifierSnapshot, getPropertyCascadeStyles, getPropertyCheckability, getPropertyInsertability, getPropertyInsertGenerationInclusions, getPropertyLaziness, getPropertyNames, getPropertyNullability, getPropertySpaces, getPropertyType, getPropertyTypes, getPropertyUpdateability, getPropertyUpdateGenerationInclusions, getPropertyValue, getPropertyValue, getPropertyValues, getPropertyValuesToInsert, getPropertyVersionability, getQuerySpaces, getRootEntityName, getSubclassEntityPersister, getVersion, getVersionProperty, getVersionType, guessEntityMode, hasCache, hasCascades, hasCollections, hasIdentifierProperty, hasInsertGeneratedProperties, hasLazyProperties, hasMutableProperties, hasNaturalIdentifier, hasProxy, hasSubselectLoadableCollections, hasUninitializedLazyProperties, hasUpdateGeneratedProperties, implementsLifecycle, implementsValidatable, insert, insert, instantiate, isBatchLoadable, isCacheInvalidationRequired, isIdentifierAssignedByInsert, isInherited, isInstance, isInstrumented, isLazyPropertiesCacheable, isMutable, isSelectBeforeUpdateRequired, isSubclassEntityName, isTransient, isVersioned, isVersionPropertyGenerated, load, lock, postInstantiate, processInsertGeneratedProperties, processUpdateGeneratedProperties, resetIdentifier, setIdentifier, setPropertyValue, setPropertyValues, update`

Methods inherited from interface org.hibernate.cache.OptimisticCacheSource
`getVersionComparator`

Method Detail

### getSelectByUniqueKeyString

    String getSelectByUniqueKeyString(String propertyName)

  Get a SQL select string that performs a select based on a unique key determined by the given property name).

  Parameters:
    `propertyName` - The name of the property which maps to the column(s) to use in the select statement restriction.
  Returns:
    The SQL select string

### getIdentitySelectString

    String getIdentitySelectString()

  Get the database-specific SQL command to retrieve the last generated IDENTITY value.

  Returns:
    The SQL command string

### getRootTableKeyColumnNames

    String[] getRootTableKeyColumnNames()

  The names of the primary key columns in the root table.

  Returns:
    The primary key column names.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD